<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) {
    die("Access Denied");
}

if (file_exists(INFUSIONS . "who_is_where/locale/" . $settings['locale'] . ".php")) {
    include INFUSIONS . "who_is_where/locale/English.php";
    include INFUSIONS . "who_is_where/locale/" . $settings['locale'] . ".php";
} else {
    include INFUSIONS . "who_is_where/locale/English.php";
}

define("DB_WHERE", DB_PREFIX . "who_is_where");

$inf_title = $lang['title'];
$inf_description = $lang['desc'];
$inf_version = "1.0.1";
$inf_developer = "<img src='http://www.phpfusionmods.com/images/avatars/545.png' width='30px' height='30px' style='vertical-align:middle' border='0'><a href='http://www.phpfusionmods.com/' style='border-bottom:1px dotted #BB6767; font-weight:bold;'>NetriX</a>";
$inf_email = "netrix@phpfusionmods.com";
$inf_weburl = "http://www.phpfusionmods.com";

$inf_folder = "who_is_where";

$inf_newtable[1] = DB_WHERE . " (
who int(7) NOT NULL DEFAULT '0',
url varchar(120) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL DEFAULT '',
title varchar(200) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL DEFAULT '',
time int(10) NOT NULL DEFAULT '0',
ip varchar(45) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL
) ENGINE=MyISAM;";

// I do not wish to have the following translated for personal reasons.

$message = "[img]http://www.phpfusionmods.com/images/logo.png[/img]

Hey " . $userdata['user_name'] . ",

Thanks for installing my infusion. Make sure to stay up-to-date by visiting my website. There we'll be able to offer support and consider your suggestions for future PHP-Fusion addons.

[b]Website:[/b] [url=http://www.phpfusionmods.com]PHPFusionMods.com[/url]
[b]Support Thread:[/b] [url=http://www.phpfusionmods.com/]Support/Feedback[/url]

Thanks,
NetriX
PHPFusionMods.com Webmaster";

// End Comment

$inf_insertdbrow[1] = DB_MESSAGES .
    " (message_to, message_from, message_subject, message_message, message_smileys, message_read, message_datestamp, message_folder) VALUES('" .
    $userdata['user_id'] . "','" . $userdata['user_id'] . "','About {$lang['title']}','" .
    stripinput($message) . "','0','0','" . time() . "','0')";

$inf_insertdbrow[2] = DB_PANELS .
    " (panel_name, panel_filename, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status, panel_restriction) VALUES('" .
    $lang['title'] . "', 'who_is_where_panel', '2', '3', 'file', '0', '1', '1', '1')";

$inf_droptable[1] = DB_WHERE;

$inf_deldbrow[1] = DB_SETTINGS_INF . " WHERE settings_inf='" . $inf_folder . "'";
$inf_deldbrow[2] = DB_PANELS . " WHERE panel_filename='who_is_where_panel'";

$inf_adminpanel[1] = array("title" => "{$lang['title']}", "image" =>
    "who_is_where.png", "panel" => "index.php", "rights" => "WIW");

$inf_sitelink[1] = array("title" => "{$lang['title']}", "url" => "index.php",
    "visibility" => "0");
?>